Bug 1047014 (python-blockdiag) - Review Request: python-blockdiag - Generate block-diagram images from text
Summary: Review Request: python-blockdiag - Generate block-diagram images from text
Keywords:
Status: CLOSED ERRATA
Alias: python-blockdiag
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 10:49 UTC by Dridi Boukelmoune
Modified: 2014-04-17 06:01 UTC (History)
3 users (show)

Fixed In Version: python-blockdiag-1.3.2-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-06 06:30:54 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dridi Boukelmoune 2013-12-28 10:49:24 UTC
Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-blockdiag.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-blockdiag-1.3.2-1.fc19.src.rpm
Description:
blockdiag and its family generate diagram images from simply text file.

Features:
- Generates beautiful diagram images from simple text format (similar to
  graphviz’s DOT format)
- Layouts diagram elements automatically
- Embeds to many documentations; Sphinx, Trac, Redmine and some wikis

- Supports many types of diagrams
  - block diagram (with this package)
  - sequence diagram (with the seqdiag package)
  - activity diagram (with the actdiag package)
  - logical network diagram (with the nwdiag package)

Enjoy documentation with blockdiag !

Fedora Account System Username: dridi

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6338458

Comment 1 Christopher Meng 2013-12-31 03:43:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "MIT/X11 (BSD like)", "Unknown or generated". 40 files
     have unknown license. Detailed output of licensecheck:

Apache (v2.0)
-------------
blockdiag-1.3.2/%{py3dir}/src/blockdiag/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/builder.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/command.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/drawer.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/elements.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/base.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/filters/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/filters/linejump.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/pdf.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/png.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/simplesvg.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/svg.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/textfolder.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/utils/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/imagedraw/utils/ellipse.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/metrics.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/actor.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/beginpoint.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/box.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/cloud.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/diamond.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/dots.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/ellipse.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/endpoint.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/flowchart/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/flowchart/database.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/flowchart/input.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/flowchart/loopin.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/flowchart/loopout.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/flowchart/terminator.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/mail.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/minidiamond.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/none.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/note.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/roundedbox.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/textbox.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/plugins/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/plugins/attributes.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/plugins/autoclass.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/bootstrap.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/compat.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/config.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/fontmap.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/images.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/jpeg.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/myitertools.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/rst/__init__.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/rst/directives.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/rst/nodes.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/uuid.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag_sphinxhelper.py
blockdiag-1.3.2/src/blockdiag/__init__.py
blockdiag-1.3.2/src/blockdiag/builder.py
blockdiag-1.3.2/src/blockdiag/command.py
blockdiag-1.3.2/src/blockdiag/drawer.py
blockdiag-1.3.2/src/blockdiag/elements.py
blockdiag-1.3.2/src/blockdiag/imagedraw/__init__.py
blockdiag-1.3.2/src/blockdiag/imagedraw/base.py
blockdiag-1.3.2/src/blockdiag/imagedraw/filters/__init__.py
blockdiag-1.3.2/src/blockdiag/imagedraw/filters/linejump.py
blockdiag-1.3.2/src/blockdiag/imagedraw/pdf.py
blockdiag-1.3.2/src/blockdiag/imagedraw/png.py
blockdiag-1.3.2/src/blockdiag/imagedraw/simplesvg.py
blockdiag-1.3.2/src/blockdiag/imagedraw/svg.py
blockdiag-1.3.2/src/blockdiag/imagedraw/textfolder.py
blockdiag-1.3.2/src/blockdiag/imagedraw/utils/__init__.py
blockdiag-1.3.2/src/blockdiag/imagedraw/utils/ellipse.py
blockdiag-1.3.2/src/blockdiag/metrics.py
blockdiag-1.3.2/src/blockdiag/noderenderer/__init__.py
blockdiag-1.3.2/src/blockdiag/noderenderer/actor.py
blockdiag-1.3.2/src/blockdiag/noderenderer/beginpoint.py
blockdiag-1.3.2/src/blockdiag/noderenderer/box.py
blockdiag-1.3.2/src/blockdiag/noderenderer/cloud.py
blockdiag-1.3.2/src/blockdiag/noderenderer/diamond.py
blockdiag-1.3.2/src/blockdiag/noderenderer/dots.py
blockdiag-1.3.2/src/blockdiag/noderenderer/ellipse.py
blockdiag-1.3.2/src/blockdiag/noderenderer/endpoint.py
blockdiag-1.3.2/src/blockdiag/noderenderer/flowchart/__init__.py
blockdiag-1.3.2/src/blockdiag/noderenderer/flowchart/database.py
blockdiag-1.3.2/src/blockdiag/noderenderer/flowchart/input.py
blockdiag-1.3.2/src/blockdiag/noderenderer/flowchart/loopin.py
blockdiag-1.3.2/src/blockdiag/noderenderer/flowchart/loopout.py
blockdiag-1.3.2/src/blockdiag/noderenderer/flowchart/terminator.py
blockdiag-1.3.2/src/blockdiag/noderenderer/mail.py
blockdiag-1.3.2/src/blockdiag/noderenderer/minidiamond.py
blockdiag-1.3.2/src/blockdiag/noderenderer/none.py
blockdiag-1.3.2/src/blockdiag/noderenderer/note.py
blockdiag-1.3.2/src/blockdiag/noderenderer/roundedbox.py
blockdiag-1.3.2/src/blockdiag/noderenderer/textbox.py
blockdiag-1.3.2/src/blockdiag/plugins/__init__.py
blockdiag-1.3.2/src/blockdiag/plugins/attributes.py
blockdiag-1.3.2/src/blockdiag/plugins/autoclass.py
blockdiag-1.3.2/src/blockdiag/utils/__init__.py
blockdiag-1.3.2/src/blockdiag/utils/bootstrap.py
blockdiag-1.3.2/src/blockdiag/utils/compat.py
blockdiag-1.3.2/src/blockdiag/utils/config.py
blockdiag-1.3.2/src/blockdiag/utils/fontmap.py
blockdiag-1.3.2/src/blockdiag/utils/images.py
blockdiag-1.3.2/src/blockdiag/utils/jpeg.py
blockdiag-1.3.2/src/blockdiag/utils/myitertools.py
blockdiag-1.3.2/src/blockdiag/utils/rst/__init__.py
blockdiag-1.3.2/src/blockdiag/utils/rst/directives.py
blockdiag-1.3.2/src/blockdiag/utils/rst/nodes.py
blockdiag-1.3.2/src/blockdiag/utils/uuid.py
blockdiag-1.3.2/src/blockdiag_sphinxhelper.py

MIT/X11 (BSD like)
------------------
blockdiag-1.3.2/%{py3dir}/src/blockdiag/parser.py
blockdiag-1.3.2/src/blockdiag/parser.py

Unknown or generated
--------------------
blockdiag-1.3.2/%{py3dir}/bootstrap.py
blockdiag-1.3.2/%{py3dir}/setup.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/circle.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/noderenderer/square.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_boot_params.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_builder.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_builder_edge.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_builder_errors.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_builder_group.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_builder_node.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_builder_separate.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_generate_diagram.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_imagedraw_textfolder.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_imagedraw_utils.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_parser.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_pep8.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_rst_directives.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/test_utils_fontmap.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/tests/utils.py
blockdiag-1.3.2/%{py3dir}/src/blockdiag/utils/urlutil.py
blockdiag-1.3.2/bootstrap.py
blockdiag-1.3.2/setup.py
blockdiag-1.3.2/src/blockdiag/noderenderer/circle.py
blockdiag-1.3.2/src/blockdiag/noderenderer/square.py
blockdiag-1.3.2/src/blockdiag/tests/test_boot_params.py
blockdiag-1.3.2/src/blockdiag/tests/test_builder.py
blockdiag-1.3.2/src/blockdiag/tests/test_builder_edge.py
blockdiag-1.3.2/src/blockdiag/tests/test_builder_errors.py
blockdiag-1.3.2/src/blockdiag/tests/test_builder_group.py
blockdiag-1.3.2/src/blockdiag/tests/test_builder_node.py
blockdiag-1.3.2/src/blockdiag/tests/test_builder_separate.py
blockdiag-1.3.2/src/blockdiag/tests/test_generate_diagram.py
blockdiag-1.3.2/src/blockdiag/tests/test_imagedraw_textfolder.py
blockdiag-1.3.2/src/blockdiag/tests/test_imagedraw_utils.py
blockdiag-1.3.2/src/blockdiag/tests/test_parser.py
blockdiag-1.3.2/src/blockdiag/tests/test_pep8.py
blockdiag-1.3.2/src/blockdiag/tests/test_rst_directives.py
blockdiag-1.3.2/src/blockdiag/tests/test_utils_fontmap.py
blockdiag-1.3.2/src/blockdiag/tests/utils.py
blockdiag-1.3.2/src/blockdiag/utils/urlutil.py

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://pypi.python.org/packages/source/b/blockdiag/blockdiag-1.3.2.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-blockdiag
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-blockdiag-1.3.2-1.fc21.noarch.rpm
          python3-blockdiag-1.3.2-1.fc21.noarch.rpm
          python-blockdiag-1.3.2-1.fc21.src.rpm
python-blockdiag.noarch: E: explicit-lib-dependency python-funcparserlib

--> Used by parser.py, ignored.

python-blockdiag.noarch: W: summary-not-capitalized C blockdiag generates block-diagram image from text

---> Please fix.

python-blockdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python-blockdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python-blockdiag.noarch: W: spelling-error %description -l en_US actdiag -> Acadia
python-blockdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal
python3-blockdiag.noarch: E: explicit-lib-dependency python3-funcparserlib

--> Used by parser.py, ignored.

python3-blockdiag.noarch: W: summary-not-capitalized C blockdiag generates block-diagram image from text

---> Please fix.

python3-blockdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python3-blockdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python3-blockdiag.noarch: W: spelling-error %description -l en_US actdiag -> Acadia
python3-blockdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal
python-blockdiag.src: W: summary-not-capitalized C blockdiag generates block-diagram image from text
python-blockdiag.src: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python-blockdiag.src: W: spelling-error %description -l en_US seqdiag -> diagnose
python-blockdiag.src: W: spelling-error %description -l en_US actdiag -> Acadia
python-blockdiag.src: W: spelling-error %description -l en_US nwdiag -> diagonal
3 packages and 0 specfiles checked; 2 errors, 15 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-blockdiag python-blockdiag
python3-blockdiag.noarch: E: explicit-lib-dependency python3-funcparserlib
python3-blockdiag.noarch: W: summary-not-capitalized C blockdiag generates block-diagram image from text
python3-blockdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python3-blockdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python3-blockdiag.noarch: W: spelling-error %description -l en_US actdiag -> Acadia
python3-blockdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal
python-blockdiag.noarch: E: explicit-lib-dependency python-funcparserlib
python-blockdiag.noarch: W: summary-not-capitalized C blockdiag generates block-diagram image from text
python-blockdiag.noarch: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
python-blockdiag.noarch: W: spelling-error %description -l en_US seqdiag -> diagnose
python-blockdiag.noarch: W: spelling-error %description -l en_US actdiag -> Acadia
python-blockdiag.noarch: W: spelling-error %description -l en_US nwdiag -> diagonal
2 packages and 0 specfiles checked; 2 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-blockdiag (rpmlib, GLIBC filtered):
    /usr/bin/python3
    ipa-pgothic-fonts
    python(abi)
    python3-funcparserlib
    python3-webcolors

python-blockdiag (rpmlib, GLIBC filtered):
    /usr/bin/python2
    ipa-pgothic-fonts
    python(abi)
    python-funcparserlib
    python-webcolors



Provides
--------
python3-blockdiag:
    python3-blockdiag

python-blockdiag:
    python-blockdiag



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn python-blockdiag-1.3.2-1.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG

----------------------------
Nearly APPROVED:

1. BuildRequires:  python-devel --> BuildRequires:  python2-devel

2. %{__python} --> %{__python2}

Comment 2 Dridi Boukelmoune 2013-12-31 07:38:45 UTC
(In reply to Christopher Meng from comment #1)
> [!]: Sources can be downloaded from URI in Source: tag
>      Note: Could not download Source0:

> https://pypi.python.org/packages/source/b/blockdiag/blockdiag-1.3.2.tar.gz
>      See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

This is strange, it definitely works for me.

curl --head -i https://pypi.python.org/packages/source/b/blockdiag/blockdiag-1.3.2.tar.gz
HTTP/1.1 200 OK
Date: Tue, 31 Dec 2013 07:29:50 GMT
Server: Apache
Content-Type: application/x-gzip
Last-Modified: Tue, 19 Nov 2013 10:03:21 GMT
Cache-Control: max-age=86400, public
X-PYPI-LAST-SERIAL: 923425
Strict-Transport-Security: max-age=31536000
Content-Length: 134482
Accept-Ranges: bytes
Age: 0

> python-blockdiag.noarch: W: summary-not-capitalized C blockdiag generates
> block-diagram image from text
> 
> ---> Please fix.

Upstream doesn't capitalize the *diag tools names (like systemd) so I have slightly changed the summary to comply.

> Nearly APPROVED:
> 
> 1. BuildRequires:  python-devel --> BuildRequires:  python2-devel
> 
> 2. %{__python} --> %{__python2}

Fixed, except line 64 which doesn't use python2 in the guidelines:
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-blockdiag.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-blockdiag-1.3.2-2.fc19.src.rpm

Comment 3 Christopher Meng 2013-12-31 07:40:09 UTC
PACKAGE APPROVED.

Comment 4 Dridi Boukelmoune 2013-12-31 10:02:55 UTC
New Package SCM Request
=======================
Package Name: python-blockdiag
Short Description: Generate block-diagram images from text
Owners: dridi
Branches: f19 f20
InitialCC:

Comment 5 Gwyn Ciesla 2014-01-02 12:47:51 UTC
Git done (by process-git-requests).

Comment 6 Christopher Meng 2014-03-06 06:30:54 UTC
No builds for f19/f20, closed as RAWHIDE ATM.

Comment 7 Dridi Boukelmoune 2014-03-06 06:47:16 UTC
I'll push blockdiag along with actdiag, nwdiag and seqdiag. See bug 1072063, bug 1072064 and bug 1072065.

Comment 8 Fedora Update System 2014-04-07 05:39:27 UTC
python-blockdiag-1.3.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blockdiag-1.3.2-4.fc19

Comment 9 Fedora Update System 2014-04-07 05:39:38 UTC
python-blockdiag-1.3.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-blockdiag-1.3.2-4.fc20

Comment 10 Fedora Update System 2014-04-17 05:58:24 UTC
python-blockdiag-1.3.2-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-04-17 06:01:37 UTC
python-blockdiag-1.3.2-4.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.